"""track condor interuptions

Revision ID: 560c59b64cfe
Revises: b0b8ab31788d
Create Date: 2022-05-16 13:08:22.372238

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "560c59b64cfe"
down_revision = "b0b8ab31788d"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
        ALTER TABLE workflow_requests ADD COLUMN IF NOT EXISTS htcondor_iterations NUMERIC DEFAULT 0
        """
    )


def downgrade():
    op.execute(
        """
        ALTER TABLE workflow_requests DROP COLUMN IF EXISTS htcondor_iterations
        """
    )
